const int pot=0; //potentiomete sur pin analog0
const int acc1=7;//accelerometre du bas sur pin analog7
const int acc2=6;//accelerometre du milieu sur pin analog6
const int acc3=5;//accelerometre du haut sur pin analog5

int valeurpot, posbas, posmilieu, poshaut, lecture;

void setup()
{
  Serial.begin(9600);
  pinMode(pot, INPUT);
  pinMode(acc1, INPUT);
  pinMode(acc2, INPUT);
  pinMode(acc3, INPUT);
}

void loop()
{
  Serial.write('a');
  valeurpot=analogRead(pot);
  //Serial.println(valeurpot);
  sendBinary(valeurpot);//envoi l'entier
  delay(50);
  Serial.flush();
  
  Serial.write('b');
  posbas=analogRead(acc1);
  //Serial.print(posbas);
  sendBinary(posbas);//envoi l'entier
  delay(50);
  Serial.flush();
  
  Serial.write('c');
  posmilieu=analogRead(acc2);
  //Serial.print(posmilieu);
  sendBinary(posmilieu);//envoi l'entier
  delay(50);
  Serial.flush();
    
  Serial.write('d');
  poshaut=analogRead(acc3);
 // Serial.print(poshaut);
  sendBinary(poshaut);//envoi l'entier
  delay(50);
  Serial.flush();
}

//fonction pour envoyer un entier sur le port serie(en gros on divise value par 256, lowbyte correspond au reste et highbyte au resultat)
void sendBinary(int value)
{
  Serial.write(lowByte(value));//envoi l'octet de poids faible
  Serial.write(highByte(value));//envoi l'octet de poids fort
}
